function load_scratch(string, N)

% Remember, whenever you come from a serial file, you have to switch from strings to doubles.
N = str2double(N);

% Load from the scratch.
filenameload = strcat('/magic_out_',num2str(N),'.mat');
A = load([string filenameload]);

% In previous codes, the matrices just happen to be saved as "data".
A = A.data; 

% Take the transpose of the old matrix.
B = A';

% Save the new matrix to your home directory.
savepath = strcat('/home/bcole/codes/examplecodes/NEW_SAVE_',num2str(N),'.mat');
save(savepath,'B');

end
